com.unitech.stuhfl

## Class STUHFL_T_ST25RU3993_Gb29768_FilterCalibration

- java.lang.Object
- - com.unitech.stuhflBridge.BR_ST25RU3993_Gb29768_FilterCalibration
  - - com.unitech.stuhfl.STUHFL_T_ST25RU3993_Gb29768_FilterCalibration

-     public class STUHFL_T_ST25RU3993_Gb29768_FilterCalibration
      extends BR_ST25RU3993_Gb29768_FilterCalibration

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_Gb29768_FilterCalibration

      `BR_ST25RU3993_Gb29768_FilterCalibration.Fields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `STUHFL_E.GB29768_BLF` | `blf`
    `STUHFL_E.GB29768_CODING` | `coding` < I Param: Link Frequency for which HP/LP values shall be applied
    `byte` | `highPass` < I Param: Coding for which HP/LP values shall be applied
    `byte` | `lowPass` < I/O Param: High pass filter value.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_ST25RU3993_Gb29768_FilterCalibration()`
    `STUHFL_T_ST25RU3993_Gb29768_FilterCalibration(STUHFL_E.GB29768_BLF blf, STUHFL_E.GB29768_CODING coding, byte highPass, byte lowPass)`
    `STUHFL_T_ST25RU3993_Gb29768_FilterCalibration(STUHFL_T_ST25RU3993_Gb29768_FilterCalibration other)` < I/O Param: Low pass filter value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STUHFL_E.RET_CODE` | `commit()` Set reader Rx Filter calibration for GB/T 29768 config
    `STUHFL_E.RET_CODE` | `fetch()` Get reader Rx Filter calibration for GB/T 29768 config
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_Gb29768_FilterCalibration

      `_Get_Gb29768_FilterCalibration, _Set_Gb29768_FilterCalibration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### blf

          public STUHFL_E.GB29768_BLF blf

    - #### coding

          public STUHFL_E.GB29768_CODING coding

      < I Param: Link Frequency for which HP/LP values shall be applied

    - #### highPass

          public byte highPass

      < I Param: Coding for which HP/LP values shall be applied

    - #### lowPass

          public byte lowPass

      < I/O Param: High pass filter value. Range [0..15]. Step size = 4%

  - ### Constructor Detail

    - #### STUHFL_T_ST25RU3993_Gb29768_FilterCalibration

          public STUHFL_T_ST25RU3993_Gb29768_FilterCalibration(STUHFL_T_ST25RU3993_Gb29768_FilterCalibration other)

      < I/O Param: Low pass filter value. Range [0..15]. Step size = 4%

    - #### STUHFL_T_ST25RU3993_Gb29768_FilterCalibration

          public STUHFL_T_ST25RU3993_Gb29768_FilterCalibration(STUHFL_E.GB29768_BLF blf,
                                                               STUHFL_E.GB29768_CODING coding,
                                                               byte highPass,
                                                               byte lowPass)

    - #### STUHFL_T_ST25RU3993_Gb29768_FilterCalibration

          public STUHFL_T_ST25RU3993_Gb29768_FilterCalibration()

  - ### Method Detail

    - #### commit

          public STUHFL_E.RET_CODE commit()

      Set reader Rx Filter calibration for GB/T 29768 config
      Returns:
        error code

    - #### fetch

          public STUHFL_E.RET_CODE fetch()

      Get reader Rx Filter calibration for GB/T 29768 config
      Returns:
        error code

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`